//  Demo 23: MySquaresApplet.java
//
//     A Simple Java Applet to Use the Squares Class
//
//             by Charles W. Neville
//      Copyright Charles W. Neville, June, 1999
//
// A column of five red squares moving diagonally across the screen.
// Illustrates simple animation and a use of the Squares class.

import java.awt.*;
import java.applet.Applet;
import Squares;

public class MySquaresApplet extends Applet {

   Squares s;

   public void init() {

     // column of 5 20 by 20 squares spaced 30
     // pixels apart
     s = new Squares(50, 50, 20, Color.red, 30, 5);
   }

   public void paint(Graphics g) {

     Color backgroundColor = getBackground();

     for(int i = 1; i <= 200; i++) {

        s.draw(g, backgroundColor);  // hide square
        s.move(1, 1);
        s.draw(g);

        try {
          Thread.sleep(20);  // 20 ms pause
        }
        catch (InterruptedException e) {
          // do nothing
        }
     }
   } // paint
} // class MySquares
        